Package dev.plex.util.menu

# Class AbstractMenu

java.lang.Object
dev.plex.util.menu.AbstractMenu

All Implemented Interfaces:
  `org.bukkit.event.Listener`

Direct Known Subclasses:
  `PunishedPlayerMenu`, `PunishmentMenu`, `ToggleMenu`

public abstract class AbstractMenu extends Object implements org.bukkit.event.Listener

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`AbstractMenu(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

private final String name

## Constructor Details

### AbstractMenu

public AbstractMenu(String name)

## Method Details

### getName

public String getName()